# AP4_DataAtom Class Reference

`#include <Ap4MetaData.h>`

Inheritance diagram for AP4_DataAtom:

List of all members.

## Public Types
enum | DataType { DATA_TYPE_BINARY = 0, DATA_TYPE_STRING_UTF_8 = 1, DATA_TYPE_STRING_UTF_16 = 2, DATA_TYPE_STRING_PASCAL = 3, DATA_TYPE_GIF = 13, DATA_TYPE_JPEG = 14, DATA_TYPE_SIGNED_INT_BE = 21, DATA_TYPE_FLOAT_32_BE = 22, DATA_TYPE_FLOAT_64_BE = 23 }
enum | DataLang { LANGUAGE_ENGLISH = 0 }
## Public Member Functions
| AP4_DataAtom (const AP4_MetaData::Value &value)
| AP4_DataAtom (AP4_UI32 size, AP4_ByteStream &stream)
| ~AP4_DataAtom ()
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
DataType | GetDataType ()
DataLang | GetDataLang ()
AP4_MetaData::Value::Type | GetValueType ()
AP4_Result | LoadString (AP4_String *&string)
AP4_Result | LoadBytes (AP4_DataBuffer &bytes)
AP4_Result | LoadInteger (long &value)

## Detailed Description

Definition at line 442 of file Ap4MetaData.h.

## Member Enumeration Documentation

enum AP4_DataAtom::DataType

Enumerator:

  DATA_TYPE_BINARY |
  DATA_TYPE_STRING_UTF_8 |
  DATA_TYPE_STRING_UTF_16 |
  DATA_TYPE_STRING_PASCAL |
  DATA_TYPE_GIF |
  DATA_TYPE_JPEG |
  DATA_TYPE_SIGNED_INT_BE |
  DATA_TYPE_FLOAT_32_BE |
  DATA_TYPE_FLOAT_64_BE |

Definition at line 445 of file Ap4MetaData.h.

enum AP4_DataAtom::DataLang

Enumerator:

  LANGUAGE_ENGLISH |

Definition at line 457 of file Ap4MetaData.h.

## Constructor & Destructor Documentation

AP4_DataAtom::AP4_DataAtom | ( | const AP4_MetaData::Value & | value | ) |

AP4_DataAtom::AP4_DataAtom | ( | AP4_UI32 | size,
|  | AP4_ByteStream & | stream |
| ) |  |  |

AP4_DataAtom::~AP4_DataAtom | ( |  | ) |

## Member Function Documentation

virtual AP4_Result AP4_DataAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_DataAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

DataType AP4_DataAtom::GetDataType | ( |  | ) | `[inline]`

Definition at line 473 of file Ap4MetaData.h.

DataLang AP4_DataAtom::GetDataLang | ( |  | ) | `[inline]`

Definition at line 474 of file Ap4MetaData.h.

AP4_MetaData::Value::Type AP4_DataAtom::GetValueType | ( |  | ) |

AP4_Result AP4_DataAtom::LoadString | ( | AP4_String *& | string | ) |

AP4_Result AP4_DataAtom::LoadBytes | ( | AP4_DataBuffer & | bytes | ) |

AP4_Result AP4_DataAtom::LoadInteger | ( | long & | value | ) |

The documentation for this class was generated from the following file:

- Ap4MetaData.h